#include "computewidget.h"
#include "ui_computewidget.h"

ComputeWidget::ComputeWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::ComputeWidget)
{
    ui->setupUi(this);
    ui->lComputeIcon->setPixmap(QPixmap(":/new/icons/compute.png").scaled(80, 55, Qt::KeepAspectRatio));
}

void ComputeWidget::setID(std::string _id){
    id = _id;
}

void ComputeWidget::setName(std::string _name){
    name = _name;
    ui->lHostName->setText(_name.c_str());
}

ComputeWidget::~ComputeWidget()
{
    delete ui;
}

void ComputeWidget::on_bRenew_clicked()
{
    emit renew(id);
}

void ComputeWidget::on_bWakeUp_clicked()
{
    emit wakeup(id);
}

void ComputeWidget::on_bSleep_clicked()
{
    emit sleep(id);
}

void ComputeWidget::on_pushButton_clicked()
{
    //TODO
}

void ComputeWidget::on_bStart_clicked()
{
    emit start(id);
}
