#ifndef COMPUTEWIDGET_H
#define COMPUTEWIDGET_H

#include <QWidget>
#include <QPixmap>

namespace Ui {
class ComputeWidget;
}

class ComputeWidget : public QWidget
{
    Q_OBJECT

public:
    std::string id;
    std::string name;
    explicit ComputeWidget(QWidget *parent = 0);
    void setID(std::string id);
    void setName(std::string name);
    ~ComputeWidget();

signals:
    void start(std::string id);
    void sleep(std::string id);
    void wakeup(std::string id);
    void renew(std::string id);

private slots:
    void on_bRenew_clicked();

    void on_bWakeUp_clicked();

    void on_bSleep_clicked();

    void on_pushButton_clicked();

    void on_bStart_clicked();

private:
    Ui::ComputeWidget *ui;
};

#endif // COMPUTEWIDGET_H
